Index: src/port/open.c
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/port/open.c,v
retrieving revision 1.21
diff -c -p -r1.21 open.c
*** src/port/open.c	15 Nov 2007 21:14:46 -0000	1.21
--- src/port/open.c	28 Nov 2007 14:56:04 -0000
*************** pgwin32_open(const char *fileName, int f
*** 88,94 ****
  						((fileFlags & O_DSYNC) ? FILE_FLAG_WRITE_THROUGH : 0),
  						NULL)) == INVALID_HANDLE_VALUE)
  	{
! 		switch (GetLastError())
  		{
  				/* EMFILE, ENFILE should not occur from CreateFile. */
  			case ERROR_PATH_NOT_FOUND:
--- 88,96 ----
  						((fileFlags & O_DSYNC) ? FILE_FLAG_WRITE_THROUGH : 0),
  						NULL)) == INVALID_HANDLE_VALUE)
  	{
! 		DWORD	err = GetLastError();
! 
! 		switch (err)
  		{
  				/* EMFILE, ENFILE should not occur from CreateFile. */
  			case ERROR_PATH_NOT_FOUND:
*************** pgwin32_open(const char *fileName, int f
*** 102,107 ****
--- 104,111 ----
  				errno = EACCES;
  				break;
  			default:
+ 				ereport(LOG,
+ 						(errmsg("win32 error code: %d", err)));
  				errno = EINVAL;
  		}
  		return -1;
